commit:     f9f73ce3a29ecfaaafee57d3564dcfe1288ef609
Author:     Michael Mair-Keimberger <mmk <AT> levelnine <DOT> at>
AuthorDate: Tue Oct 29 17:53:38 2024 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Wed Oct 30 22:56:43 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f9f73ce3

games-util/sc-controller: add 0.4.8.21

Signed-off-by: Michael Mair-Keimberger <mmk <AT> levelnine.at>
Closes: https://github.com/gentoo/gentoo/pull/39150
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 games-util/sc-controller/Manifest                  |  1 +
 .../sc-controller/sc-controller-0.4.8.21.ebuild    | 55 ++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/games-util/sc-controller/Manifest 
b/games-util/sc-controller/Manifest
index 7f5ab71bf83d..412d9eb1ad5d 100644
--- a/games-util/sc-controller/Manifest
+++ b/games-util/sc-controller/Manifest
@@ -1 +1,2 @@
 DIST sc-controller-0.4.8.17.tar.gz 1843813 BLAKE2B 
77925152086d516be2b67eee70c36fad7fc6ccfb829196cf433331cce7a5ac43e22a466a7929c2ba2504fcb8ac73a62458be9be77162e138e4abad238e9cf2c1
 SHA512 
5121a802a719357027e1e850250182b2ace77966938f4add6f2f4a5b91fa768e2ef9064c8bb087c2df0979f34f68b5054e3d8d359ceff71f7ecadc3a51f92dae
+DIST sc-controller-0.4.8.21.tar.gz 1846682 BLAKE2B 
83892aa73ca2b729b205455b2c094f57538487976f8744170e381ff49f9e7e2d23b274b3b43c887ee8b945793cb6a9e9d0ab03778d47d732d35b8599f65e58ac
 SHA512 
874a180cdac3a0f6a592e507abda572e69dcc4061874512292de2c4f9db0f5739a370d43de4f11031f5c02ff4e1f11237a4720f890a1ae8220940a2d5e03d0a1

diff --git a/games-util/sc-controller/sc-controller-0.4.8.21.ebuild 
b/games-util/sc-controller/sc-controller-0.4.8.21.ebuild
new file mode 100644
index 000000000000..e4c2fe8d623a
--- /dev/null
+++ b/games-util/sc-controller/sc-controller-0.4.8.21.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_SINGLE_IMPL=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+inherit distutils-r1 linux-info xdg
+
+DESCRIPTION="User-mode driver and GTK-based GUI for Steam Controllers and 
others"
+HOMEPAGE="https://github.com/C0rn3j/sc-controller/";
+SRC_URI="https://github.com/C0rn3j/sc-controller/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-2 BSD CC-BY-3.0 CC0-1.0 LGPL-2.1 MIT PSF-2 ZLIB"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+trayicon +udev wayland"
+
+RDEPEND="
+       $(python_gen_cond_dep '
+               dev-python/evdev[${PYTHON_USEDEP}]
+               dev-python/pygobject[${PYTHON_USEDEP},cairo]
+               dev-python/pylibacl[${PYTHON_USEDEP}]
+               dev-python/vdf[${PYTHON_USEDEP}]
+       ')
+       gnome-base/librsvg[introspection]
+       virtual/libusb
+       x11-libs/gtk+:3[introspection]
+       trayicon? ( dev-libs/libayatana-appindicator )
+       udev? ( games-util/game-device-udev-rules )
+       wayland? ( gui-libs/gtk-layer-shell[introspection(+)] )
+"
+
+distutils_enable_tests pytest
+
+pkg_setup() {
+       local CONFIG_CHECK="~INPUT_UINPUT"
+
+       linux-info_pkg_setup
+       python-single-r1_pkg_setup
+}
+
+src_prepare() {
+       default
+
+       # This test fails. Don't know why but seems unimportant.
+       rm -v tests/test_glade.py || die
+}
+
+src_install() {
+       distutils-r1_src_install
+       rm -r "${ED}"/usr/lib/udev/ || die
+}

Reply via email to